// Copyright 2021 Entanglement Garden Developers
// SPDX-License-Identifier: AGPL-3.0-only

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.6.1
// source: rhyzome_protos/libvirt.proto

package rhyzome_protos

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type LibvirtEventUpdate_Type int32

const (
	LibvirtEventUpdate_ASYNC   LibvirtEventUpdate_Type = 0 // ASYNC type for async updates not triggered by a server-side event. Please help me think of a better name. Also currently unused
	LibvirtEventUpdate_STARTED LibvirtEventUpdate_Type = 1
	LibvirtEventUpdate_UPDATE  LibvirtEventUpdate_Type = 2
	LibvirtEventUpdate_SUCCESS LibvirtEventUpdate_Type = 3
	LibvirtEventUpdate_FAILED  LibvirtEventUpdate_Type = 4
)

// Enum value maps for LibvirtEventUpdate_Type.
var (
	LibvirtEventUpdate_Type_name = map[int32]string{
		0: "ASYNC",
		1: "STARTED",
		2: "UPDATE",
		3: "SUCCESS",
		4: "FAILED",
	}
	LibvirtEventUpdate_Type_value = map[string]int32{
		"ASYNC":   0,
		"STARTED": 1,
		"UPDATE":  2,
		"SUCCESS": 3,
		"FAILED":  4,
	}
)

func (x LibvirtEventUpdate_Type) Enum() *LibvirtEventUpdate_Type {
	p := new(LibvirtEventUpdate_Type)
	*p = x
	return p
}

func (x LibvirtEventUpdate_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (LibvirtEventUpdate_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_rhyzome_protos_libvirt_proto_enumTypes[0].Descriptor()
}

func (LibvirtEventUpdate_Type) Type() protoreflect.EnumType {
	return &file_rhyzome_protos_libvirt_proto_enumTypes[0]
}

func (x LibvirtEventUpdate_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use LibvirtEventUpdate_Type.Descriptor instead.
func (LibvirtEventUpdate_Type) EnumDescriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{0, 0}
}

type LibvirtEventUpdate struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EventId string                  `protobuf:"bytes,1,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	Type    LibvirtEventUpdate_Type `protobuf:"varint,2,opt,name=type,proto3,enum=protos.LibvirtEventUpdate_Type" json:"type,omitempty"`
	Message string                  `protobuf:"bytes,3,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *LibvirtEventUpdate) Reset() {
	*x = LibvirtEventUpdate{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LibvirtEventUpdate) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LibvirtEventUpdate) ProtoMessage() {}

func (x *LibvirtEventUpdate) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LibvirtEventUpdate.ProtoReflect.Descriptor instead.
func (*LibvirtEventUpdate) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{0}
}

func (x *LibvirtEventUpdate) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *LibvirtEventUpdate) GetType() LibvirtEventUpdate_Type {
	if x != nil {
		return x.Type
	}
	return LibvirtEventUpdate_ASYNC
}

func (x *LibvirtEventUpdate) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type LibvirtEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	EventId        string          `protobuf:"bytes,1,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	CreateInstance *CreateInstance `protobuf:"bytes,2,opt,name=create_instance,json=createInstance,proto3" json:"create_instance,omitempty"`
	DeleteInstance *DeleteInstance `protobuf:"bytes,3,opt,name=delete_instance,json=deleteInstance,proto3" json:"delete_instance,omitempty"`
	StartInstance  *StartInstance  `protobuf:"bytes,4,opt,name=start_instance,json=startInstance,proto3" json:"start_instance,omitempty"`
	StopInstance   *StopInstance   `protobuf:"bytes,5,opt,name=stop_instance,json=stopInstance,proto3" json:"stop_instance,omitempty"`
	CreateVolume   *CreateVolume   `protobuf:"bytes,6,opt,name=create_volume,json=createVolume,proto3" json:"create_volume,omitempty"`
	DeleteVolume   *DeleteVolume   `protobuf:"bytes,7,opt,name=delete_volume,json=deleteVolume,proto3" json:"delete_volume,omitempty"`
	AttachVolume   *AttachVolume   `protobuf:"bytes,8,opt,name=attach_volume,json=attachVolume,proto3" json:"attach_volume,omitempty"`
	DetachVolume   *DetachVolume   `protobuf:"bytes,9,opt,name=detach_volume,json=detachVolume,proto3" json:"detach_volume,omitempty"`
}

func (x *LibvirtEvent) Reset() {
	*x = LibvirtEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LibvirtEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LibvirtEvent) ProtoMessage() {}

func (x *LibvirtEvent) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LibvirtEvent.ProtoReflect.Descriptor instead.
func (*LibvirtEvent) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{1}
}

func (x *LibvirtEvent) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *LibvirtEvent) GetCreateInstance() *CreateInstance {
	if x != nil {
		return x.CreateInstance
	}
	return nil
}

func (x *LibvirtEvent) GetDeleteInstance() *DeleteInstance {
	if x != nil {
		return x.DeleteInstance
	}
	return nil
}

func (x *LibvirtEvent) GetStartInstance() *StartInstance {
	if x != nil {
		return x.StartInstance
	}
	return nil
}

func (x *LibvirtEvent) GetStopInstance() *StopInstance {
	if x != nil {
		return x.StopInstance
	}
	return nil
}

func (x *LibvirtEvent) GetCreateVolume() *CreateVolume {
	if x != nil {
		return x.CreateVolume
	}
	return nil
}

func (x *LibvirtEvent) GetDeleteVolume() *DeleteVolume {
	if x != nil {
		return x.DeleteVolume
	}
	return nil
}

func (x *LibvirtEvent) GetAttachVolume() *AttachVolume {
	if x != nil {
		return x.AttachVolume
	}
	return nil
}

func (x *LibvirtEvent) GetDetachVolume() *DetachVolume {
	if x != nil {
		return x.DetachVolume
	}
	return nil
}

type CreateInstance struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ResourceId        string        `protobuf:"bytes,1,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	UserData          []byte        `protobuf:"bytes,2,opt,name=user_data,json=userData,proto3" json:"user_data,omitempty"`
	RootVolume        *CreateVolume `protobuf:"bytes,3,opt,name=root_volume,json=rootVolume,proto3" json:"root_volume,omitempty"`
	Memory            int32         `protobuf:"varint,4,opt,name=memory,proto3" json:"memory,omitempty"`
	Cores             int32         `protobuf:"varint,5,opt,name=cores,proto3" json:"cores,omitempty"`
	AdditionalVolumes []string      `protobuf:"bytes,6,rep,name=additional_volumes,json=additionalVolumes,proto3" json:"additional_volumes,omitempty"`
}

func (x *CreateInstance) Reset() {
	*x = CreateInstance{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateInstance) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateInstance) ProtoMessage() {}

func (x *CreateInstance) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateInstance.ProtoReflect.Descriptor instead.
func (*CreateInstance) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{2}
}

func (x *CreateInstance) GetResourceId() string {
	if x != nil {
		return x.ResourceId
	}
	return ""
}

func (x *CreateInstance) GetUserData() []byte {
	if x != nil {
		return x.UserData
	}
	return nil
}

func (x *CreateInstance) GetRootVolume() *CreateVolume {
	if x != nil {
		return x.RootVolume
	}
	return nil
}

func (x *CreateInstance) GetMemory() int32 {
	if x != nil {
		return x.Memory
	}
	return 0
}

func (x *CreateInstance) GetCores() int32 {
	if x != nil {
		return x.Cores
	}
	return 0
}

func (x *CreateInstance) GetAdditionalVolumes() []string {
	if x != nil {
		return x.AdditionalVolumes
	}
	return nil
}

type DeleteInstance struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ResourceId   string `protobuf:"bytes,1,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	RootVolumeId string `protobuf:"bytes,2,opt,name=root_volume_id,json=rootVolumeId,proto3" json:"root_volume_id,omitempty"`
}

func (x *DeleteInstance) Reset() {
	*x = DeleteInstance{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteInstance) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteInstance) ProtoMessage() {}

func (x *DeleteInstance) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteInstance.ProtoReflect.Descriptor instead.
func (*DeleteInstance) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{3}
}

func (x *DeleteInstance) GetResourceId() string {
	if x != nil {
		return x.ResourceId
	}
	return ""
}

func (x *DeleteInstance) GetRootVolumeId() string {
	if x != nil {
		return x.RootVolumeId
	}
	return ""
}

type StartInstance struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ResourceId string `protobuf:"bytes,1,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
}

func (x *StartInstance) Reset() {
	*x = StartInstance{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StartInstance) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StartInstance) ProtoMessage() {}

func (x *StartInstance) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StartInstance.ProtoReflect.Descriptor instead.
func (*StartInstance) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{4}
}

func (x *StartInstance) GetResourceId() string {
	if x != nil {
		return x.ResourceId
	}
	return ""
}

type StopInstance struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ResourceId string `protobuf:"bytes,1,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
}

func (x *StopInstance) Reset() {
	*x = StopInstance{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StopInstance) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StopInstance) ProtoMessage() {}

func (x *StopInstance) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StopInstance.ProtoReflect.Descriptor instead.
func (*StopInstance) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{5}
}

func (x *StopInstance) GetResourceId() string {
	if x != nil {
		return x.ResourceId
	}
	return ""
}

type CreateVolume struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ResourceId  string `protobuf:"bytes,1,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
	Size        int32  `protobuf:"varint,2,opt,name=size,proto3" json:"size,omitempty"`
	SourceImage string `protobuf:"bytes,3,opt,name=source_image,json=sourceImage,proto3" json:"source_image,omitempty"`
}

func (x *CreateVolume) Reset() {
	*x = CreateVolume{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateVolume) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateVolume) ProtoMessage() {}

func (x *CreateVolume) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateVolume.ProtoReflect.Descriptor instead.
func (*CreateVolume) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{6}
}

func (x *CreateVolume) GetResourceId() string {
	if x != nil {
		return x.ResourceId
	}
	return ""
}

func (x *CreateVolume) GetSize() int32 {
	if x != nil {
		return x.Size
	}
	return 0
}

func (x *CreateVolume) GetSourceImage() string {
	if x != nil {
		return x.SourceImage
	}
	return ""
}

type DeleteVolume struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ResourceId string `protobuf:"bytes,1,opt,name=resource_id,json=resourceId,proto3" json:"resource_id,omitempty"`
}

func (x *DeleteVolume) Reset() {
	*x = DeleteVolume{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteVolume) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteVolume) ProtoMessage() {}

func (x *DeleteVolume) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteVolume.ProtoReflect.Descriptor instead.
func (*DeleteVolume) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{7}
}

func (x *DeleteVolume) GetResourceId() string {
	if x != nil {
		return x.ResourceId
	}
	return ""
}

type AttachVolume struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VolumeId   string `protobuf:"bytes,1,opt,name=volume_id,json=volumeId,proto3" json:"volume_id,omitempty"`
	InstanceId string `protobuf:"bytes,2,opt,name=instance_id,json=instanceId,proto3" json:"instance_id,omitempty"`
}

func (x *AttachVolume) Reset() {
	*x = AttachVolume{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AttachVolume) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AttachVolume) ProtoMessage() {}

func (x *AttachVolume) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AttachVolume.ProtoReflect.Descriptor instead.
func (*AttachVolume) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{8}
}

func (x *AttachVolume) GetVolumeId() string {
	if x != nil {
		return x.VolumeId
	}
	return ""
}

func (x *AttachVolume) GetInstanceId() string {
	if x != nil {
		return x.InstanceId
	}
	return ""
}

type DetachVolume struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VolumeId   string `protobuf:"bytes,1,opt,name=volume_id,json=volumeId,proto3" json:"volume_id,omitempty"`
	InstanceId string `protobuf:"bytes,2,opt,name=instance_id,json=instanceId,proto3" json:"instance_id,omitempty"`
}

func (x *DetachVolume) Reset() {
	*x = DetachVolume{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DetachVolume) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DetachVolume) ProtoMessage() {}

func (x *DetachVolume) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DetachVolume.ProtoReflect.Descriptor instead.
func (*DetachVolume) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{9}
}

func (x *DetachVolume) GetVolumeId() string {
	if x != nil {
		return x.VolumeId
	}
	return ""
}

func (x *DetachVolume) GetInstanceId() string {
	if x != nil {
		return x.InstanceId
	}
	return ""
}

type InstanceStartedRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *InstanceStartedRequest) Reset() {
	*x = InstanceStartedRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InstanceStartedRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InstanceStartedRequest) ProtoMessage() {}

func (x *InstanceStartedRequest) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InstanceStartedRequest.ProtoReflect.Descriptor instead.
func (*InstanceStartedRequest) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{10}
}

func (x *InstanceStartedRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type InstanceStartedResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *InstanceStartedResponse) Reset() {
	*x = InstanceStartedResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InstanceStartedResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InstanceStartedResponse) ProtoMessage() {}

func (x *InstanceStartedResponse) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InstanceStartedResponse.ProtoReflect.Descriptor instead.
func (*InstanceStartedResponse) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{11}
}

type InstanceStoppedRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *InstanceStoppedRequest) Reset() {
	*x = InstanceStoppedRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InstanceStoppedRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InstanceStoppedRequest) ProtoMessage() {}

func (x *InstanceStoppedRequest) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InstanceStoppedRequest.ProtoReflect.Descriptor instead.
func (*InstanceStoppedRequest) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{12}
}

func (x *InstanceStoppedRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type InstanceStoppedResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *InstanceStoppedResponse) Reset() {
	*x = InstanceStoppedResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_rhyzome_protos_libvirt_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InstanceStoppedResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InstanceStoppedResponse) ProtoMessage() {}

func (x *InstanceStoppedResponse) ProtoReflect() protoreflect.Message {
	mi := &file_rhyzome_protos_libvirt_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InstanceStoppedResponse.ProtoReflect.Descriptor instead.
func (*InstanceStoppedResponse) Descriptor() ([]byte, []int) {
	return file_rhyzome_protos_libvirt_proto_rawDescGZIP(), []int{13}
}

var File_rhyzome_protos_libvirt_proto protoreflect.FileDescriptor

var file_rhyzome_protos_libvirt_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x72, 0x68, 0x79, 0x7a, 0x6f, 0x6d, 0x65, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73,
	0x2f, 0x6c, 0x69, 0x62, 0x76, 0x69, 0x72, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x22, 0xc3, 0x01, 0x0a, 0x12, 0x4c, 0x69, 0x62, 0x76, 0x69,
	0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x19, 0x0a,
	0x08, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x33, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e,
	0x4c, 0x69, 0x62, 0x76, 0x69, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x2e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x18, 0x0a,
	0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07,
	0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22, 0x43, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x09, 0x0a, 0x05, 0x41, 0x53, 0x59, 0x4e, 0x43, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x54,
	0x41, 0x52, 0x54, 0x45, 0x44, 0x10, 0x01, 0x12, 0x0a, 0x0a, 0x06, 0x55, 0x50, 0x44, 0x41, 0x54,
	0x45, 0x10, 0x02, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x55, 0x43, 0x43, 0x45, 0x53, 0x53, 0x10, 0x03,
	0x12, 0x0a, 0x0a, 0x06, 0x46, 0x41, 0x49, 0x4c, 0x45, 0x44, 0x10, 0x04, 0x22, 0x90, 0x04, 0x0a,
	0x0c, 0x4c, 0x69, 0x62, 0x76, 0x69, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x19, 0x0a,
	0x08, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12, 0x3f, 0x0a, 0x0f, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x5f, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x16, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x52, 0x0e, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x3f, 0x0a, 0x0f, 0x64, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x5f, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x16, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x52, 0x0e, 0x64, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x3c, 0x0a, 0x0e, 0x73, 0x74,
	0x61, 0x72, 0x74, 0x5f, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x72,
	0x74, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x52, 0x0d, 0x73, 0x74, 0x61, 0x72, 0x74,
	0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x39, 0x0a, 0x0d, 0x73, 0x74, 0x6f, 0x70,
	0x5f, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x53, 0x74, 0x6f, 0x70, 0x49, 0x6e, 0x73,
	0x74, 0x61, 0x6e, 0x63, 0x65, 0x52, 0x0c, 0x73, 0x74, 0x6f, 0x70, 0x49, 0x6e, 0x73, 0x74, 0x61,
	0x6e, 0x63, 0x65, 0x12, 0x39, 0x0a, 0x0d, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x5f, 0x76, 0x6f,
	0x6c, 0x75, 0x6d, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x73, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65,
	0x52, 0x0c, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x12, 0x39,
	0x0a, 0x0d, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x5f, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x52, 0x0c, 0x64, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x12, 0x39, 0x0a, 0x0d, 0x61, 0x74, 0x74,
	0x61, 0x63, 0x68, 0x5f, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x41, 0x74, 0x74, 0x61, 0x63, 0x68,
	0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x52, 0x0c, 0x61, 0x74, 0x74, 0x61, 0x63, 0x68, 0x56, 0x6f,
	0x6c, 0x75, 0x6d, 0x65, 0x12, 0x39, 0x0a, 0x0d, 0x64, 0x65, 0x74, 0x61, 0x63, 0x68, 0x5f, 0x76,
	0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x44, 0x65, 0x74, 0x61, 0x63, 0x68, 0x56, 0x6f, 0x6c, 0x75, 0x6d,
	0x65, 0x52, 0x0c, 0x64, 0x65, 0x74, 0x61, 0x63, 0x68, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x22,
	0xe2, 0x01, 0x0a, 0x0e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e,
	0x63, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63,
	0x65, 0x49, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x64, 0x61, 0x74, 0x61,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x44, 0x61, 0x74, 0x61,
	0x12, 0x35, 0x0a, 0x0b, 0x72, 0x6f, 0x6f, 0x74, 0x5f, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x52, 0x0a, 0x72, 0x6f, 0x6f,
	0x74, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x6d, 0x65, 0x6d, 0x6f, 0x72,
	0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x06, 0x6d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x12,
	0x14, 0x0a, 0x05, 0x63, 0x6f, 0x72, 0x65, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05,
	0x63, 0x6f, 0x72, 0x65, 0x73, 0x12, 0x2d, 0x0a, 0x12, 0x61, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x6c, 0x5f, 0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28,
	0x09, 0x52, 0x11, 0x61, 0x64, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x56, 0x6f, 0x6c,
	0x75, 0x6d, 0x65, 0x73, 0x22, 0x57, 0x0a, 0x0e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x49, 0x6e,
	0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x12, 0x24, 0x0a, 0x0e, 0x72, 0x6f, 0x6f, 0x74, 0x5f,
	0x76, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0c, 0x72, 0x6f, 0x6f, 0x74, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x49, 0x64, 0x22, 0x30, 0x0a,
	0x0d, 0x53, 0x74, 0x61, 0x72, 0x74, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12, 0x1f,
	0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x22,
	0x2f, 0x0a, 0x0c, 0x53, 0x74, 0x6f, 0x70, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x12,
	0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64,
	0x22, 0x66, 0x0a, 0x0c, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65,
	0x12, 0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49,
	0x64, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x04, 0x73, 0x69, 0x7a, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x5f,
	0x69, 0x6d, 0x61, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x73, 0x6f, 0x75,
	0x72, 0x63, 0x65, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x22, 0x2f, 0x0a, 0x0c, 0x44, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x73, 0x6f,
	0x75, 0x72, 0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72,
	0x65, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x49, 0x64, 0x22, 0x4c, 0x0a, 0x0c, 0x41, 0x74, 0x74,
	0x61, 0x63, 0x68, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x76, 0x6f, 0x6c,
	0x75, 0x6d, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x76, 0x6f,
	0x6c, 0x75, 0x6d, 0x65, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e,
	0x63, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x69, 0x6e, 0x73,
	0x74, 0x61, 0x6e, 0x63, 0x65, 0x49, 0x64, 0x22, 0x4c, 0x0a, 0x0c, 0x44, 0x65, 0x74, 0x61, 0x63,
	0x68, 0x56, 0x6f, 0x6c, 0x75, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x76, 0x6f, 0x6c, 0x75, 0x6d,
	0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x76, 0x6f, 0x6c, 0x75,
	0x6d, 0x65, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x69, 0x6e, 0x73, 0x74, 0x61,
	0x6e, 0x63, 0x65, 0x49, 0x64, 0x22, 0x28, 0x0a, 0x16, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63,
	0x65, 0x53, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22,
	0x19, 0x0a, 0x17, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x53, 0x74, 0x61, 0x72, 0x74,
	0x65, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x28, 0x0a, 0x16, 0x49, 0x6e,
	0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x53, 0x74, 0x6f, 0x70, 0x70, 0x65, 0x64, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x22, 0x19, 0x0a, 0x17, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65,
	0x53, 0x74, 0x6f, 0x70, 0x70, 0x65, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x32,
	0x83, 0x02, 0x0a, 0x0e, 0x52, 0x68, 0x79, 0x7a, 0x6f, 0x6d, 0x65, 0x4c, 0x69, 0x62, 0x76, 0x69,
	0x72, 0x74, 0x12, 0x45, 0x0a, 0x0b, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x72, 0x65, 0x61,
	0x6d, 0x12, 0x1a, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x4c, 0x69, 0x62, 0x76, 0x69,
	0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x1a, 0x14, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x4c, 0x69, 0x62, 0x76, 0x69, 0x72, 0x74, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x22, 0x00, 0x28, 0x01, 0x30, 0x01, 0x12, 0x54, 0x0a, 0x0f, 0x49, 0x6e, 0x73,
	0x74, 0x61, 0x6e, 0x63, 0x65, 0x53, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x12, 0x1e, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x53, 0x74,
	0x61, 0x72, 0x74, 0x65, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x53, 0x74,
	0x61, 0x72, 0x74, 0x65, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12,
	0x54, 0x0a, 0x0f, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6e, 0x63, 0x65, 0x53, 0x74, 0x6f, 0x70, 0x70,
	0x65, 0x64, 0x12, 0x1e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x49, 0x6e, 0x73, 0x74,
	0x61, 0x6e, 0x63, 0x65, 0x53, 0x74, 0x6f, 0x70, 0x70, 0x65, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2e, 0x49, 0x6e, 0x73, 0x74,
	0x61, 0x6e, 0x63, 0x65, 0x53, 0x74, 0x6f, 0x70, 0x70, 0x65, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x44, 0x5a, 0x42, 0x67, 0x69, 0x74, 0x2e, 0x63, 0x61, 0x6c,
	0x6c, 0x70, 0x69, 0x70, 0x65, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x65, 0x6e, 0x74, 0x61, 0x6e, 0x67,
	0x6c, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x61, 0x72, 0x64, 0x65, 0x6e, 0x2f, 0x72, 0x68,
	0x79, 0x7a, 0x6f, 0x6d, 0x65, 0x2d, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x72, 0x68, 0x79,
	0x7a, 0x6f, 0x6d, 0x65, 0x5f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_rhyzome_protos_libvirt_proto_rawDescOnce sync.Once
	file_rhyzome_protos_libvirt_proto_rawDescData = file_rhyzome_protos_libvirt_proto_rawDesc
)

func file_rhyzome_protos_libvirt_proto_rawDescGZIP() []byte {
	file_rhyzome_protos_libvirt_proto_rawDescOnce.Do(func() {
		file_rhyzome_protos_libvirt_proto_rawDescData = protoimpl.X.CompressGZIP(file_rhyzome_protos_libvirt_proto_rawDescData)
	})
	return file_rhyzome_protos_libvirt_proto_rawDescData
}

var file_rhyzome_protos_libvirt_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_rhyzome_protos_libvirt_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_rhyzome_protos_libvirt_proto_goTypes = []interface{}{
	(LibvirtEventUpdate_Type)(0),    // 0: protos.LibvirtEventUpdate.Type
	(*LibvirtEventUpdate)(nil),      // 1: protos.LibvirtEventUpdate
	(*LibvirtEvent)(nil),            // 2: protos.LibvirtEvent
	(*CreateInstance)(nil),          // 3: protos.CreateInstance
	(*DeleteInstance)(nil),          // 4: protos.DeleteInstance
	(*StartInstance)(nil),           // 5: protos.StartInstance
	(*StopInstance)(nil),            // 6: protos.StopInstance
	(*CreateVolume)(nil),            // 7: protos.CreateVolume
	(*DeleteVolume)(nil),            // 8: protos.DeleteVolume
	(*AttachVolume)(nil),            // 9: protos.AttachVolume
	(*DetachVolume)(nil),            // 10: protos.DetachVolume
	(*InstanceStartedRequest)(nil),  // 11: protos.InstanceStartedRequest
	(*InstanceStartedResponse)(nil), // 12: protos.InstanceStartedResponse
	(*InstanceStoppedRequest)(nil),  // 13: protos.InstanceStoppedRequest
	(*InstanceStoppedResponse)(nil), // 14: protos.InstanceStoppedResponse
}
var file_rhyzome_protos_libvirt_proto_depIdxs = []int32{
	0,  // 0: protos.LibvirtEventUpdate.type:type_name -> protos.LibvirtEventUpdate.Type
	3,  // 1: protos.LibvirtEvent.create_instance:type_name -> protos.CreateInstance
	4,  // 2: protos.LibvirtEvent.delete_instance:type_name -> protos.DeleteInstance
	5,  // 3: protos.LibvirtEvent.start_instance:type_name -> protos.StartInstance
	6,  // 4: protos.LibvirtEvent.stop_instance:type_name -> protos.StopInstance
	7,  // 5: protos.LibvirtEvent.create_volume:type_name -> protos.CreateVolume
	8,  // 6: protos.LibvirtEvent.delete_volume:type_name -> protos.DeleteVolume
	9,  // 7: protos.LibvirtEvent.attach_volume:type_name -> protos.AttachVolume
	10, // 8: protos.LibvirtEvent.detach_volume:type_name -> protos.DetachVolume
	7,  // 9: protos.CreateInstance.root_volume:type_name -> protos.CreateVolume
	1,  // 10: protos.RhyzomeLibvirt.EventStream:input_type -> protos.LibvirtEventUpdate
	11, // 11: protos.RhyzomeLibvirt.InstanceStarted:input_type -> protos.InstanceStartedRequest
	13, // 12: protos.RhyzomeLibvirt.InstanceStopped:input_type -> protos.InstanceStoppedRequest
	2,  // 13: protos.RhyzomeLibvirt.EventStream:output_type -> protos.LibvirtEvent
	12, // 14: protos.RhyzomeLibvirt.InstanceStarted:output_type -> protos.InstanceStartedResponse
	14, // 15: protos.RhyzomeLibvirt.InstanceStopped:output_type -> protos.InstanceStoppedResponse
	13, // [13:16] is the sub-list for method output_type
	10, // [10:13] is the sub-list for method input_type
	10, // [10:10] is the sub-list for extension type_name
	10, // [10:10] is the sub-list for extension extendee
	0,  // [0:10] is the sub-list for field type_name
}

func init() { file_rhyzome_protos_libvirt_proto_init() }
func file_rhyzome_protos_libvirt_proto_init() {
	if File_rhyzome_protos_libvirt_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_rhyzome_protos_libvirt_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LibvirtEventUpdate); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LibvirtEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateInstance); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteInstance); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StartInstance); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StopInstance); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateVolume); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteVolume); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AttachVolume); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DetachVolume); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InstanceStartedRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InstanceStartedResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InstanceStoppedRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_rhyzome_protos_libvirt_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InstanceStoppedResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_rhyzome_protos_libvirt_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_rhyzome_protos_libvirt_proto_goTypes,
		DependencyIndexes: file_rhyzome_protos_libvirt_proto_depIdxs,
		EnumInfos:         file_rhyzome_protos_libvirt_proto_enumTypes,
		MessageInfos:      file_rhyzome_protos_libvirt_proto_msgTypes,
	}.Build()
	File_rhyzome_protos_libvirt_proto = out.File
	file_rhyzome_protos_libvirt_proto_rawDesc = nil
	file_rhyzome_protos_libvirt_proto_goTypes = nil
	file_rhyzome_protos_libvirt_proto_depIdxs = nil
}
